net.minecraft.item

## Class ItemFireworkCharge

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemFireworkCharge

-     public class ItemFireworkCharge
      extends Item

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.item.Item

      `Item.ToolMaterial`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.item.Item

      `bFull3D, canRepair, field_111210_e, hasSubtypes, iconString, itemIcon, itemRand, itemRegistry, maxStackSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemFireworkCharge()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInformation(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, java.util.List par3List, boolean par4)`
    `static void` | `func_150902_a(NBTTagCompound p_150902_0_, java.util.List p_150902_1_)`
    `static NBTBase` | `func_150903_a(ItemStack p_150903_0_, java.lang.String p_150903_1_)`
    `int` | `getColorFromItemStack(ItemStack par1ItemStack, int par2)`
    `IIcon` | `getIconFromDamageForRenderPass(int par1, int par2)`
    `void` | `registerIcons(IIconRegister par1IconRegister)`
    `boolean` | `requiresMultipleRenderPasses()`

    - ### Methods inherited from class net.minecraft.item.Item

      `canHarvestBlock, canItemEditBlocks, createEntity, doesContainerItemLeaveCraftingGrid, doesSneakBypassUse, func_150893_a, func_150897_b, getArmorModel, getArmorTexture, getAttributeModifiers, getChestGenBase, getContainerItem, getContainerItem, getCreativeTab, getCreativeTabs, getDamage, getDigSpeed, getDisplayDamage, getDurabilityForDisplay, getEntityLifespan, getFontRenderer, getHarvestLevel, getHasSubtypes, getIcon, getIcon, getIconFromDamage, getIconIndex, getIconString, getIdFromItem, getIsRepairable, getItemAttributeModifiers, getItemById, getItemEnchantability, getItemFromBlock, getItemStackDisplayName, getItemStackLimit, getItemStackLimit, getItemUseAction, getMaxDamage, getMaxDamage, getMaxItemUseDuration, getMetadata, getMovingObjectPositionFromPlayer, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getSpriteNumber, getSubItems, getToolClasses, getUnlocalizedName, getUnlocalizedName, getUnlocalizedNameInefficiently, hasContainerItem, hasContainerItem, hasCustomEntity, hasEffect, hasEffect, hitEntity, isBookEnchantable, isDamageable, isDamaged, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, isValidArmor, itemInteractionForEntity, onArmorTick, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onEaten, onEntityItemUpdate, onEntitySwing, onItemRightClick, onItemUse, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingTick, registerItems, renderHelmetOverlay, setContainerItem, setCreativeTab, setDamage, setFull3D, setHarvestLevel, setHasSubtypes, setMaxDamage, setMaxStackSize, setNoRepair, setPotionEffect, setTextureName, setUnlocalizedName, shouldRotateAroundWhenRendering, showDurabilityBar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemFireworkCharge

          public ItemFireworkCharge()

  - ### Method Detail

    - #### getIconFromDamageForRenderPass

          public IIcon getIconFromDamageForRenderPass(int par1,
                                             int par2)

      Overrides:
        `getIconFromDamageForRenderPass` in class `Item`

    - #### getColorFromItemStack

          public int getColorFromItemStack(ItemStack par1ItemStack,
                                  int par2)

      Overrides:
        `getColorFromItemStack` in class `Item`

    - #### requiresMultipleRenderPasses

          public boolean requiresMultipleRenderPasses()

      Overrides:
        `requiresMultipleRenderPasses` in class `Item`

    - #### func_150903_a

          public static NBTBase func_150903_a(ItemStack p_150903_0_,
                              java.lang.String p_150903_1_)

    - #### addInformation

          public void addInformation(ItemStack par1ItemStack,
                            EntityPlayer par2EntityPlayer,
                            java.util.List par3List,
                            boolean par4)

      Overrides:
        `addInformation` in class `Item`

    - #### func_150902_a

          public static void func_150902_a(NBTTagCompound p_150902_0_,
                           java.util.List p_150902_1_)

    - #### registerIcons

          public void registerIcons(IIconRegister par1IconRegister)

      Overrides:
        `registerIcons` in class `Item`